-- credits for the title menu
-- ™ and © 2006,2007 NAKET Coder
-- programed by nasir
-- character by Max Miedinger
-- scenario by A Tribe Called Quest

local t = Def.ActorFrame {
	-- top box
	Def.Quad {
		--InitCommand=cmd(zwrite,1;blend,"BlendMode_NoEffect";zoom,320;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
		InitCommand=cmd(zwrite,1;blend,"BlendMode_NoEffect";x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y/1.5;zoomy,48;zoomx,SCREEN_WIDTH);
	};
	
	-- scroller
	Def.ActorScroller {
		NumItemsToDraw = 200;
		SecondsPerItem = 0.5;
		TransformFunction = function( self, offset, itemIndex, numItems )
			self:x(offset*32);
		end;
		InitCommand=cmd(x,SCREEN_WIDTH;y,(SCREEN_CENTER_Y/1.5)-48);
		OnCommand=cmd(scrollwithpadding,1,14);
		children={
			LoadFont("","_helvetica") ..{
				Text="naket coder revolution";
				InitCommand=cmd(shadowlength,0;ztest,1);
			};
		};
	};
};